;-| Button Remapping |-----------------------------------------------------
; This section lets you remap the player's buttons (to easily change the
; button configuration). The format is:
;   old_button = new_button
; If new_button is left blank, the button cannot be pressed.
[Remap]
x = x
y = y
z = z
a = a
b = b
c = c
s = s

;-| Default Values |-------------------------------------------------------
[Defaults]
; Default value for the "time" parameter of a Command. Minimum 1.
command.time = 15

;-| Double Tap |-----------------------------------------------------------
[Command]
name = "FF"     ;Required (do not remove)
command = F, F
time = 10

[Command]
name = "BB"     ;Required (do not remove)
command = B, B
time = 10

;-| 2/3 Button Combination |-----------------------------------------------
[Command]
name = "recovery";Required (do not remove)
command = x+y
time = 1

;-| Dir + Button |---------------------------------------------------------
[Command]
name = "down_a"
command = /$D,a
time = 1

[Command]
name = "down_b"
command = /$D,b
time = 1

;-| Single Button |---------------------------------------------------------
[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

;-| Hold Dir |--------------------------------------------------------------
[Command]
name = "holdfwd";Required (do not remove)
command = /$F
time = 1

[Command]
name = "holdback";Required (do not remove)
command = /$B
time = 1

[Command]
name = "holdup" ;Required (do not remove)
command = /$U
time = 1

[Command]
name = "holddown";Required (do not remove)
command = /$D
time = 1

;----------------------------------------AI R }   h
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0

;---------------------------------------------------------------------------
; 2. State entry
; --------------
; This is where you define what commands bring you to what states.
;
; Each state entry block looks like:
;   [State -1, Label]           ;Change Label to any name you want to use to
;                               ;identify the state with.
;   type = ChangeState          ;Don't change this
;   value = new_state_number
;   trigger1 = command = command_name
;   . . .  (any additional triggers)
;
; - new_state_number is the number of the state to change to
; - command_name is the name of the command (from the section above)
; - Useful triggers to know:
;   - statetype
;       S, C or A : current state-type of player (stand, crouch, air)
;   - ctrl
;       0 or 1 : 1 if player has control. Unless "interrupting" another
;                move, you'll want ctrl = 1
;   - stateno
;       number of state player is in - useful for "move interrupts"
;   - movecontact
;       0 or 1 : 1 if player's last attack touched the opponent
;                useful for "move interrupts"
;
; Note: The order of state entry is important.
;   State entry with a certain command must come before another state
;   entry with a command that is the subset of the first.
;   For example, command "fwd_a" must be listed before "a", and
;   "fwd_ab" should come before both of the others.
;
; For reference on triggers, see CNS documentation.
;
; Just for your information (skip if you're not interested):
; This part is an extension of the CNS. "State -1" is a special state
; that is executed once every game-tick, regardless of what other state
; you are in.


; Don't remove the following line. It's required by the CMD standard.
[Statedef -1]
[State ]
type = CtrlSet
trigger1 = stateno=[180,182]
value = 0
;---------------------------------------------------------------------------
[State -1, ai] 
type = varset
triggerall = !Ishelper
triggerall = var(59) = 0 
trigger1 = Command = "AI0" 
trigger2 = Command = "AI1" 
trigger3 = Command = "AI2" 
trigger4 = Command = "AI3" 
trigger5 = Command = "AI4" 
trigger6 = Command = "AI5" 
trigger7 = Command = "AI6" 
trigger8 = Command = "AI7" 
trigger9 = Command = "AI8" 
trigger10 = Command = "AI9" 
trigger11 = Command = "AI10" 
trigger12 = Command = "AI11" 
trigger13 = Command = "AI12" 
trigger14 = Command = "AI13" 
trigger15 = Command = "AI14" 
trigger16 = Command = "AI15" 
trigger17 = Command = "AI16" 
trigger18 = Command = "AI17" 
trigger19 = Command = "AI18" 
trigger20 = Command = "AI19" 
trigger21 = Command = "AI20" 
trigger22 = Command = "AI21" 
trigger23 = Command = "AI22" 
trigger24 = Command = "AI23" 
trigger25 = Command = "AI24" 
trigger26 = Command = "AI25" 
trigger27 = Command = "AI26" 
trigger28 = Command = "AI27" 
trigger29 = Command = "AI28" 
trigger30 = Command = "AI29" 
trigger31 = Command = "AI30"  
trigger32 = Command = "AI31" 
trigger33 = Command = "AI32" 
trigger34 = Command = "AI33" 
trigger35 = Command = "AI34" 
trigger36 = Command = "AI35" 
trigger37 = Command = "AI36" 
trigger38 = Command = "AI37" 
trigger39 = Command = "AI38" 
trigger40 = Command = "AI39" 
trigger41 = Command = "AI40"
trigger42 = Command = "AI41" 
trigger43 = Command = "AI42" 
trigger44 = Command = "AI43" 
trigger45 = Command = "AI44"
trigger46 = Command = "AI45" 
trigger47 = Command = "AI46" 
trigger48 = Command = "AI47" 
trigger49 = Command = "AI48" 
trigger50 = Command = "AI49" 
trigger51 = Command = "AI50" 
;trigger52 = 1              
;   u; v   菜   Ώ펞AI N  
var(59) = 1

;===========================================================================
;---------------------------------------------------------------------------

[State 1];   肪     薳 G Ȃ̂ m F
type = varset
var(57)= 1
triggerall = Enemy(0),movetype=H
trigger1 = Enemy(0),life>=var(50)
trigger1 = helper(10300),stateno=10312
trigger1 = helper(10300),time=2
trigger2 = Enemy(0),life>=var(50)
trigger2 = helper(10300),stateno=11012
trigger2 = helper(10300),time=2
[State 2]
type = varset
var(57)= 1
triggerall = Enemy(0),movetype=H
triggerall = enemynear,TeamMode=Simul
trigger1 = Enemy(1),life>=var(51)
trigger1 = helper(10300),stateno=10312
trigger1 = helper(10300),time=2
trigger2 = Enemy(1),life>=var(51)
trigger2 = helper(10300),stateno=11012
trigger2 = helper(10300),time=2
[State 1];   肪     薳 G Ȃ̂ ߂ 
type = varset
var(57)= 0
triggerall = var(57)=1
triggerall = Enemy(0),movetype=H
trigger1 = Enemy(0),life<var(50)
trigger1 = helper(10300),stateno=10312
trigger1 = helper(10300),time=2
trigger2 = Enemy(0),life<var(50)
trigger2 = helper(10300),stateno=11012
trigger2 = helper(10300),time=2
[State 2]
type = varset
var(57)= 1
triggerall = var(57)=1
triggerall = Enemy(1),movetype=H
triggerall = enemynear,TeamMode=Simul
trigger1 = Enemy(1),life<var(51)
trigger1 = helper(10300),stateno=10312
trigger1 = helper(10300),time=2
trigger2 = Enemy(1),life<var(51)
trigger2 = helper(10300),stateno=11012
trigger2 = helper(10300),time=2

[State 3];   肪 ̗͕ϐ  Ǘ  Ȃ̂ m F
type = varset
var(57)= 2
triggerall = Enemy(0),movetype=H
trigger1 = Enemy(0),life>=var(52)
trigger1 = helper(10300),stateno=[10302,10303]
trigger1 = helper(10300),time=1
trigger2 = Enemy(0),life>=var(52)
trigger2 = helper(10300),stateno=10322
trigger2 = helper(10300),time=2
trigger3 = Enemy(0),life>=var(52)
trigger3 = helper(10300),stateno=11022
trigger3 = helper(10300),time=1
[State 4]
type = varset
var(57)= 2
triggerall = Enemy(1),movetype=H
triggerall = enemynear,TeamMode=Simul
trigger1 = Enemy(1),life>=var(53)
trigger1 = helper(10300),stateno=[10302,10303]
trigger1 = helper(10300),time=1
trigger2 = Enemy(1),life>=var(53)
trigger2 = helper(10300),stateno=10322
trigger2 = helper(10300),time=2
trigger3 = Enemy(1),life>=var(53)
trigger3 = helper(10300),stateno=11022
trigger3 = helper(10300),time=1
[State ];   肪 ̗͕ϐ  Ǘ  Ȃ̂ ߂ 
type = varset
var(57)= 0
triggerall = var(57)=2
triggerall = Enemy(0),movetype=H
trigger1 = Enemy(0),life<var(52)
trigger1 = helper(10300),stateno=[10302,10303]
trigger1 = helper(10300),time=1
trigger2 = Enemy(0),life<var(52)
trigger2 = helper(10300),stateno=10322
trigger2 = helper(10300),time=2
trigger3 = Enemy(0),life<var(52)
trigger3 = helper(10300),stateno=11022
trigger3 = helper(10300),time=1
[State ]
type = varset
var(57)= 0
triggerall = var(57)=2
triggerall = Enemy(1),movetype=H
triggerall = enemynear,TeamMode=Simul
trigger1 = Enemy(1),life<var(53)
trigger1 = helper(10300),stateno=[10302,10303]
trigger1 = helper(10300),time=1
trigger2 = Enemy(1),life<var(53)
trigger2 = helper(10300),stateno=10322
trigger2 = helper(10300),time=2
trigger3 = Enemy(1),life<var(53)
trigger3 = helper(10300),stateno=11022
trigger3 = helper(10300),time=1

[State 1];   肪         Ȃ̂ m F B
type = varset
var(57)= 3
trigger1 = var(55)>=500
[State 2];   肪          ߂  B
type = varset
var(57)= 0
trigger1 = var(55)=0
trigger1 = var(57)=3
[State 3];             Ȃ  t   [   v Z
type = varadd
var(55)= 1
triggerall = var(57)!=3
triggerall = var(55)<500
trigger1 = numhelper(10300)>0
trigger1 = stateno%2=0
[State 4];                ߂ 
type = varset
var(55)= 0
triggerall = var(55)>0
trigger1 = numhelper(10300)>0
trigger1 = stateno%2=1
trigger1 = stateno<3000
[State 5];     Ȃ   Ԃ   Ԍo ߂Ŗ߂ 
type = varadd
var(55)= -1
triggerall = var(57)=3
triggerall = var(55)>0
trigger1 = gametime%2=0

[State ]
type = varset
var(52)= var(50)
trigger1 = 1
[State ]
type = varset
var(53)= var(51)
trigger1 = enemynear,TeamMode=Simul
[State ]
type = varset
var(50)= Enemy(0),life
trigger1 = 1
[State ]
type = varset
var(51)= Enemy(1),life
trigger1 = enemynear,TeamMode=Simul

[State ]
type = varset
var(54)= stateno
trigger1 = fvar(38)=fvar(39)
trigger1 = stateno!=[120,161]
trigger1 = stateno!=[5000,5210]
trigger1 = Movetype!=H
[State ]
type = varset
var(58)= var(54)
triggerall = anim!=[1100,1101]
triggerall = anim!=1000
triggerall = anim!=220
triggerall = anim!=210
triggerall = anim!=200
trigger1 = fvar(38)!=fvar(39)
trigger2 = Movetype=H

;===========================================================================
;---------------------------------------------------------------------------
; A X | [ g
[State ]
type = ChangeState
value = 3000
triggerall = var(59)=0
triggerall = command = "x"
triggerall = power >=1000
triggerall = var(2)>0
trigger1 = stateno=[120,155]

;Psy t   [   E L l V X
[State ]
type = ChangeState
value = 3100
triggerall = var(59)=0
triggerall = command = "x"
triggerall = power >=2000
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0
trigger8 = stateno =1001
trigger8 = animelemtime(2)>0
trigger9 = stateno =1011
trigger9 = animelemtime(6)>0
trigger10 = stateno =1021
trigger10 = animelemtime(6)>0
trigger11 = anim = 1101
trigger11 = animelemtime(6)>0
trigger12 = stateno =1111
trigger12 = animelemtime(4)>0
trigger13 = stateno =1121
trigger13 = animelemtime(4)>0

;Psy t   [   E V   b N
[State ]
type = ChangeState
value = 3205
triggerall = var(59)=0
triggerall = command = "x"
triggerall = power >=3000
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0
trigger8 = stateno =1001
trigger8 = animelemtime(2)>0
trigger9 = stateno =1011
trigger9 = animelemtime(6)>0
trigger10 = stateno =1021
trigger10 = animelemtime(6)>0
trigger11 = anim = 1101
trigger11 = animelemtime(6)>0
trigger12 = stateno =1111
trigger12 = animelemtime(4)>0
trigger13 = stateno =1121
trigger13 = animelemtime(4)>0

;Psy t   [   E V   b N
[State ]
type = ChangeState
value = 3200
triggerall = var(59)=0
triggerall = command = "x"
triggerall = power >=3000
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0
trigger8 = stateno =1001
trigger8 = animelemtime(2)>0
trigger9 = stateno =1011
trigger9 = animelemtime(6)>0
trigger10 = stateno =1021
trigger10 = animelemtime(6)>0
trigger11 = anim = 1101
trigger11 = animelemtime(6)>0
trigger12 = stateno =1111
trigger12 = animelemtime(4)>0
trigger13 = stateno =1121
trigger13 = animelemtime(4)>0

; T C R u   C N
[State ]
type = ChangeState
value = 3300
triggerall = var(59)=0
triggerall = command = "x"
triggerall = power >=5000
triggerall = command = "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0
trigger8 = stateno =1001
trigger8 = animelemtime(2)>0
trigger9 = stateno =1011
trigger9 = animelemtime(6)>0
trigger10 = stateno =1021
trigger10 = animelemtime(6)>0
trigger11 = anim = 1101
trigger11 = animelemtime(6)>0
trigger12 = stateno =1111
trigger12 = animelemtime(4)>0
trigger13 = stateno =1121
trigger13 = animelemtime(4)>0

;===========================================================================
;---------------------------------------------------------------------------
; T C R E F [ u E  
[State ]
type = ChangeState
value = 1000
triggerall = var(59)=0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0

; T C R V   b N E  
[State ]
type = ChangeState
value = 1015
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0

; T C R L l V X E  
[State ]
type = ChangeState
value = 1025
triggerall = var(59)=0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command = "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0

; e   | [ e [ V    
[State ]
type = ChangeState
value = 1100
triggerall = var(59)=0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command = "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0

; e   L l V X E  
[State ]
type = ChangeState
value = 1110
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command = "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0

;   m   X   j       g
[State ]
type = ChangeState
value = 1120
triggerall = numhelper(11120)=0
triggerall = var(59)=0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command = "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0
trigger6 = stateno =311
trigger6 = animelemtime(5)>0
trigger7 = stateno =321
trigger7 = animelemtime(5)>0

;---------------------------------------------------------------------------
; T C R L l V X E  
[State ]
type = ChangeState
value = 300
triggerall = var(59)=0
triggerall = command = "a"
triggerall = command = "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = anim = 1101
trigger5 = animelemtime(6)>0

; T C R V   b N E  
[State ]
type = ChangeState
value = 310
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command = "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = anim = 1101
trigger5 = animelemtime(6)>0

; e   L l V X E  
[State ]
type = ChangeState
value = 320
triggerall = var(59)=0
triggerall = command = "c"
triggerall = command = "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(7)>0
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = stateno =221
trigger4 = animelemtime(4)>0
trigger5 = anim = 1101
trigger5 = animelemtime(6)>0

;---------------------------------------------------------------------------
; p   [ n   h
[State ]
type = ChangeState
value = 200
triggerall = var(59)=0
triggerall = command = "a"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0

; p   [ q b v
[State ]
type = ChangeState
value = 210
triggerall = var(59)=0
triggerall = command = "b"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0

; T C R E F [ u  
[State ]
type = ChangeState
value = 220
triggerall = var(59)=0
triggerall = command = "c"
triggerall = command != "holddown"
triggerall = command != "holdfwd"
triggerall = command != "holdback"
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0

[State ];
type = ChangeState
value = 100
triggerall = var(59)=0
triggerall = command = "FF"
trigger1 = ctrl

[State ];
type = ChangeState
value = 105
triggerall = var(59)=0
triggerall = command = "BB"
trigger1 = ctrl

;===========================================================================

; A X | [ g
[State ]
type = ChangeState
value = 3000
triggerall = var(59)!=0 && roundstate=2
triggerall = power >=1000
triggerall = var(2)>0
triggerall = stateno=[120,155]
trigger1 = anim = 200
trigger1 = Animelemtime(2)>0
trigger2 = anim = 200
trigger2 = Animelemtime(3)>0
trigger3 = anim = 220
trigger3 = Animelemtime(8)>0
trigger4 = anim = 1101
trigger4 = Animelemtime(8)>0

; T C R u   C N
[State ]
type = ChangeState
value = 3300
triggerall = var(59)!=0 && roundstate=2 && var(57)<2
triggerall = power >=5000
trigger1 = enemynear,movetype=H
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = enemynear,movetype=H
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = enemynear,movetype=H
trigger3 = stateno =221
trigger3 = animelemtime(6)>0
trigger4 = stateno =301
trigger4 = animelemtime(6)>0
trigger4 = helper(10300),numtarget=1
trigger5 = stateno =311
trigger5 = animelemtime(5)>0
trigger5 = helper(10300),numtarget=1
trigger6 = stateno =321
trigger6 = animelemtime(5)>0
trigger6 = helper(10300),numtarget=1
trigger7 = enemynear,movetype=H
trigger7 = var(57)!=1
trigger7 = stateno =1001
trigger7 = animelemtime(2)>0
trigger8 = helper(10300),numtarget=1
trigger8 = stateno =1011
trigger8 = animelemtime(6)>0
trigger9 = helper(10300),numtarget=1
trigger9 = stateno =1021
trigger9 = animelemtime(10)>0
trigger10 = enemynear,movetype=H
trigger10 = stateno =1111
trigger10 = animelemtime(4)=1
trigger11 = enemynear,movetype=H
trigger11 = var(57)!=1
trigger11 = stateno =1121
trigger11 = animelemtime(4)>0

;Psy t   [   E V   b N
[State ]
type = ChangeState
value = 3205
triggerall = var(59)!=0 && roundstate=2 && var(57)!=1
triggerall = power >=3000
triggerall = enemynear,movetype=H
trigger1 = var(57)=2
trigger1 = stateno =221
trigger1 = animelemtime(6)>0
trigger2 = enemynear,pos y - Pos y =[-83,-60]
trigger2 = stateno =301
trigger2 = animelemtime(6)>0
trigger3 = stateno =311
trigger3 = animelemtime(5)>0
trigger4 = enemynear,pos y - Pos y =[-83,-60]
trigger4 = stateno =321
trigger4 = animelemtime(5)>0
trigger5 = enemynear,statetype=A
trigger5 = enemynear,pos y - Pos y <-60
trigger5 = stateno =1001
trigger5 = animelemtime(2)>0
trigger6 = stateno =1011
trigger6 = animelemtime(6)>0
trigger7 = enemynear,pos y - Pos y =[-83,-60]
trigger7 = power>=3000
trigger7 = stateno =1111
trigger7 = animelemtime(4)>0
trigger8 = enemynear,pos y - Pos y <-83
trigger8 = enemynear,stateno=[154,155]
trigger8 = stateno =1121
trigger8 = animelemtime(4)>0

;Psy t   [   E L l V X
[State ]
type = ChangeState
value = 3100
triggerall = var(59)!=0 && roundstate=2 && var(57)!=1
triggerall = power >=2000
trigger1 = var(57)=3
trigger1 = power>=3000 || inguarddist
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = var(57)=3
trigger2 = power>=3000 || inguarddist
trigger2 = stateno =200
trigger2 = movecontact
trigger2 = animelemtime(6)>0
trigger3 = var(57)=3
trigger3 = power>=3000 || inguarddist
trigger3 = stateno =210
trigger3 = movecontact
trigger4 = var(57)=2
trigger4 = power>=2700
trigger4 = stateno =221
trigger4 = animelemtime(6)>0
trigger5 = power>=2000
trigger5 = stateno =1011
trigger5 = animelemtime(6)>0
trigger6 = power>=2700
trigger6 = stateno =1021
trigger6 = animelemtime(10)>0
trigger7 = power>=3000
trigger7 = anim = 1101
trigger7 = animelemtime(6)>0
trigger7 = var(2)>0
trigger8 = enemynear,movetype=H
trigger8 = power>=3000
trigger8 = stateno =1111
trigger8 = animelemtime(4)>0
trigger9 = inguarddist
trigger9 = stateno =1121
trigger9 = animelemtime(4)>0

;---------------------------------------------------------------------------
;AI L q; l X ȋZ  g   ėl q  
;---------------------------------------------------------------------------
[State ]
type = ChangeState
value = 220
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = enemynear,statetype!=L
triggerall = enemynear,movetype!=H
triggerall = ctrl
triggerall = var(58)!=1010
triggerall = Prevstateno!=220
trigger1 = enemynear,movetype=I
trigger1 = !InGuardDist
;---------------------------------------------------------------------------
; e   | [ e [ V    - g  Ȃ  Z ̌     
[State ]
type = ChangeState
value = 1100
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = var(58)=[1000,1001]
trigger1 = enemynear,numproj!=0
trigger1 = InGuardDist
trigger1 = statetype!=A
trigger2 = enemynear,statetype!=A
trigger2 = var(58)=1010
trigger2 = enemynear,movetype=I
trigger2 = !InGuardDist
trigger3 = enemynear,statetype=A
trigger3 = var(58)=1020
trigger3 = enemynear,movetype=I
trigger3 = !InGuardDist
trigger4 = enemynear,statetype=A
trigger4 = var(58)=1020
trigger4 = enemynear,movetype=H
trigger4 = enemynear,vel y<0
trigger4 = statetype!=A
trigger5 = var(58)=[1120,1121]
trigger5 = enemynear,Numproj!=0
trigger5 = InGuardDist
trigger6 = var(58)=[220,221]
trigger6 = enemynear,stateno=[120,155]
trigger7 = var(58)=[220,221]
trigger7 = enemynear,numproj!=0
trigger7 = InGuardDist
; e   L l V X  - g  Ȃ  Z ̌     
[State ]
type = ChangeState
value = 1110
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = enemynear,statetype!=A
trigger1 = var(58)=1010
trigger1 = enemynear,numproj!=0
trigger1 = enemynear,HitDefAttr = SC,AA,AT
trigger1 = InGuardDist
trigger2 = enemynear,statetype=A
trigger2 = var(58)=1020
trigger2 = enemynear,HitDefAttr = A,AA,AT
trigger2 = InGuardDist
trigger3 = P2dist x=[0,107]
trigger3 = enemynear,HitDefAttr = SCA, AA, AT
trigger3 = var(58)=300
trigger4 = P2dist x=[107,214]
trigger4 = enemynear,HitDefAttr = SCA, AA, AT
trigger4 = var(58)=310
trigger5 = P2dist x=[214,320]
trigger5 = enemynear,HitDefAttr = SCA, AA, AT
trigger5 = var(58)=320
trigger6 = var(58)=[220,221]
trigger6 = enemynear,movetype=A
trigger6 = !InGuardDist

; e   | [ e [ V    
[State ]
type = ChangeState
value = 1100
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = P2dist x>enemynear,Const(Size.Attack.Dist)
trigger1 = InGuardDist

; T C R E F [ u E  
[State ]
type = ChangeState
value = 1000
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=[1000,1001]
trigger1 = enemynear,statetype=L
trigger1 = p2bodydist x !=[-55,55]
trigger2 = enemynear,numproj!=0
trigger2 = InGuardDist
trigger2 = statetype!=A

; T C R V   b N E  
[State ]
type = ChangeState
value = 1015
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = enemynear,statetype!=A
triggerall = enemynear,statetype!=L
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=1010
trigger1 = !enemynear,ctrl
trigger1 = enemynear,movetype=I
trigger1 = !InGuardDist
trigger2 = enemynear,numproj!=0
trigger2 = enemynear,HitDefAttr = SC,AA,AT
trigger2 = InGuardDist
[State ]
type = ChangeState
value = 1015
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
trigger1 = enemynear,statetype!=A
trigger1 = inguarddist
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = enemynear,statetype!=A
trigger2 = inguarddist
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =301
trigger3 = animelemtime(6)>0
trigger3 = gametime%3=0
trigger4 = stateno =311
trigger4 = animelemtime(5)>0
trigger4 = gametime%3=0
trigger5 = stateno =321
trigger5 = animelemtime(5)>0
trigger5 = gametime%3=0

; T C R L l V X E  
[State ]
type = ChangeState
value = 1025
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = enemynear,statetype=A
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=1020
trigger1 = enemynear,movetype=I
trigger1 = !InGuardDist
trigger2 = enemynear,HitDefAttr = A,AA,AT
trigger2 = InGuardDist
trigger3 = enemynear,movetype=H
trigger3 = enemynear,vel y<0 || statetype!=A
[State ]
type = ChangeState
value = 1025
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
trigger1 = enemynear,statetype=A
trigger1 = inguarddist
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = enemynear,statetype=A
trigger2 = inguarddist
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = inguarddist
trigger3 = stateno =221
trigger3 = animelemtime(4)>0
trigger4 = stateno =301
trigger4 = animelemtime(6)>0
trigger4 = gametime%3=1
trigger5 = stateno =311
trigger5 = animelemtime(5)>0
trigger5 = gametime%3=1
trigger6 = stateno =321
trigger6 = animelemtime(5)>0
trigger6 = gametime%3=1

;   m   X   j       g
[State ]
type = ChangeState
value = 1120
triggerall = numhelper(11120)=0
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=[1120,1121]
trigger1 = enemynear,Numproj!=0
trigger1 = InGuardDist
trigger2 = enemynear,statetype=L
trigger2 = p2bodydist x =[-55,55]

;---------------------------------------------------------------------------
; T C R L l V X E  
[State ]
type = ChangeState
value = 300
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = P2dist x=[0,107]
triggerall = PrevStateNo != 300
triggerall = var(58)!=300
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0
[State ]
type = ChangeState
value = 300
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = P2dist x=[0,107]
triggerall = !Inguarddist
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =221
trigger3 = animelemtime(4)>0
trigger4 = ctrl
trigger4 = enemynear,movetype=H
trigger4 = enemynear,statetype!=L
trigger4 = enemynear,vel y<3

; T C R V   b N E  
[State ]
type = ChangeState
value = 310
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = P2dist x=[107,214]
triggerall = PrevStateNo != 310
triggerall = var(58)!=310
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0
[State ]
type = ChangeState
value = 310
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = P2dist x=[107,214]
triggerall = !Inguarddist
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =221
trigger3 = animelemtime(4)>0
trigger4 = ctrl
trigger4 = enemynear,movetype=H
trigger4 = enemynear,statetype!=L
trigger4 = enemynear,vel y<3

; e   L l V X E  
[State ]
type = ChangeState
value = 320
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = P2dist x=[214,320]
triggerall = PrevStateNo != 320
triggerall = var(58)!=320
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0
[State ]
type = ChangeState
value = 320
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = P2dist x=[214,320]
triggerall = !Inguarddist
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =221
trigger3 = animelemtime(4)>0
trigger4 = ctrl
trigger4 = enemynear,movetype=H
trigger4 = enemynear,statetype!=L
trigger4 = enemynear,vel y<3

; T C R E F [ u  
[State ]
type = ChangeState
value = 220
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = var(58)!=[220,221]
trigger1 = Prevstateno=300 || Prevstateno=310 || Prevstateno=320 || enemynear,stateno=[120,155]
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = enemynear,numproj!=0
trigger2 = InGuardDist
trigger2 = ctrl || stateno=101 || stateno=106
trigger3 = enemynear,movetype=I
trigger3 = anim = 1101
trigger3 = animelemtime(6)>0
trigger4 = InGuardDist
trigger4 = anim = 1101
trigger4 = animelemtime(6)>0
trigger5 = enemynear,movetype=A
trigger5 = !InGuardDist
trigger5 = ctrl || stateno=101 || stateno=106

; e   L l V X E  
[State ]
type = ChangeState
value = 1110
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = enemynear,HitDefAttr = SCA,AA,AT,AP
trigger2 = P2dist x<=enemynear,Const(Size.Attack.Dist)
trigger2 = InGuardDist
[State ]
type = ChangeState
value = 1110
triggerall = var(59)!=0 && roundstate=2  && var(57)=0
triggerall = InGuardDist
trigger1 = enemynear,HitDefAttr = SCA,AA,AT,AP
trigger1 = numtarget=0
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = enemynear,HitDefAttr = SCA,AA,AT,AP
trigger2 = numtarget=0
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =301
trigger3 = animelemtime(6)>0
trigger4 = stateno =311
trigger4 = animelemtime(5)>0
trigger5 = stateno =321
trigger5 = animelemtime(5)>0

;===========================================================================
;---------------------------------------------------------------------------
;AI L q;   肪     蒆   G ̏ꍇ
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
; e   | [ e [ V    - g  Ȃ  Z ̌     
[State ]
type = ChangeState
value = 1100
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = var(58)=[1000,1001]
trigger1 = enemynear,numproj!=0
trigger1 = InGuardDist
trigger2 = enemynear,statetype=A
trigger2 = var(58)=1025
trigger2 = enemynear,movetype=I
trigger2 = !InGuardDist
trigger3 = enemynear,statetype=A
trigger3 = var(58)=1025
trigger3 = enemynear,stateno=20220
trigger3 = enemynear,movetype=H
trigger4 = enemynear,statetype=A
trigger4 = var(58)=1025
trigger4 = enemynear,movetype=H
trigger4 = enemynear,vel y<0
trigger4 = statetype!=A
trigger5 = var(58)=[1120,1121]
trigger5 = enemynear,Numproj!=0
trigger5 = InGuardDist
trigger6 = var(58)=[220,221]
trigger6 = enemynear,stateno=[120,155]
trigger7 = var(58)=[220,221]
trigger7 = enemynear,numproj!=0
trigger7 = InGuardDist
; e   L l V X  - g  Ȃ  Z ̌     
[State ]
type = ChangeState
value = 1110
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = enemynear,statetype=A
trigger1 = var(58)=1020
trigger1 = enemynear,HitDefAttr = A,AA,AT
trigger1 = InGuardDist
trigger2 = P2dist x=[0,107]
trigger2 = enemynear,HitDefAttr = SCA, AA, AT
trigger2 = var(58)=300
trigger5 = P2dist x=[214,320]
trigger5 = enemynear,HitDefAttr = SCA, AA, AT
trigger5 = var(58)=320
trigger6 = var(58)=[220,221]
trigger6 = enemynear,movetype=A
trigger6 = !InGuardDist

; e   | [ e [ V    
[State ]
type = ChangeState
value = 1100
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = P2dist x>enemynear,Const(Size.Attack.Dist)
trigger1 = InGuardDist
trigger2 = P2dist x=[107,214]
trigger2 = enemynear,HitDefAttr = SCA, AA, AT
trigger2 = ctrl || stateno=101 || stateno=106
trigger3 = P2dist x=[107,214]
trigger3 = enemynear,HitDefAttr = SCA, AA, AT
trigger3 = anim = 1101
trigger3 = animelemtime(6)>0

; T C R E F [ u E  
[State ]
type = ChangeState
value = 1000
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=[1000,1001]
trigger1 = enemynear,statetype=L
trigger1 = enemynear,statetype=L
trigger1 = p2bodydist x !=[-55,55]
trigger2 = enemynear,numproj!=0
trigger2 = InGuardDist

; T C R L l V X E  
[State ]
type = ChangeState
value = 1025
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = enemynear,statetype=A
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=1020
trigger1 = enemynear,movetype=I
trigger1 = !InGuardDist
trigger2 = enemynear,HitDefAttr = A,AA,AT
trigger2 = InGuardDist
trigger3 = enemynear,stateno=20220
trigger3 = enemynear,movetype=H
trigger4 = enemynear,movetype=H
trigger4 = enemynear,vel y<0 || statetype!=A
[State ]
type = ChangeState
value = 1025
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
trigger1 = enemynear,statetype=A
trigger1 = inguarddist
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = enemynear,statetype=A
trigger2 = inguarddist
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = inguarddist || P2dist x=[107,214]
trigger3 = stateno =221
trigger3 = animelemtime(4)>0
trigger4 = stateno =321
trigger4 = animelemtime(5)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0

;   m   X   j       g
[State ]
type = ChangeState
value = 1120
triggerall = numhelper(11120)=0
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=[1120,1121]
trigger1 = enemynear,Numproj!=0
trigger1 = InGuardDist
trigger2 = enemynear,statetype=L
trigger2 = p2bodydist x =[-55,55]

;---------------------------------------------------------------------------
; T C R L l V X E  
[State ]
type = ChangeState
value = 300
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = P2dist x=[0,107]
triggerall = enemynear,HitDefAttr = SCA, AA, AT
triggerall = var(58)!=300
triggerall = Prevstateno !=300
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0
[State ]
type = ChangeState
value = 300
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = P2dist x=[0,107]
triggerall = !Inguarddist
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =221
trigger3 = animelemtime(4)>0

; e   L l V X E  
[State ]
type = ChangeState
value = 320
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = P2dist x=[214,320]
triggerall = enemynear,HitDefAttr = SCA, AA, AT
triggerall = Prevstateno !=320
triggerall = var(58)!=320
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0
[State ]
type = ChangeState
value = 320
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = P2dist x=[214,320]
triggerall = !Inguarddist
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =221
trigger3 = animelemtime(4)>0

; T C R E F [ u  
[State ]
type = ChangeState
value = 220
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = var(58)!=[220,221]
trigger1 = Prevstateno=300 || Prevstateno=310 || Prevstateno=320 || enemynear,stateno=[120,155]
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = enemynear,numproj!=0
trigger2 = InGuardDist
trigger2 = ctrl || stateno=101 || stateno=106
trigger3 = enemynear,movetype=I
trigger3 = anim = 1101
trigger3 = animelemtime(6)>0
trigger4 = InGuardDist
trigger4 = anim = 1101
trigger4 = animelemtime(6)>0
trigger5 = enemynear,movetype=A
trigger5 = !InGuardDist
trigger5 = ctrl || stateno=101 || stateno=106

; e   L l V X E  
[State ]
type = ChangeState
value = 1110
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = enemynear,HitDefAttr = SCA,AA,AT,AP
trigger2 = P2dist x<=enemynear,Const(Size.Attack.Dist)
trigger2 = InGuardDist
[State ]
type = ChangeState
value = 1110
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
trigger1 = enemynear,HitDefAttr = SCA,AA,AT,AP
trigger1 = numtarget=0
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = enemynear,HitDefAttr = SCA,AA,AT,AP
trigger2 = numtarget=0
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =311
trigger3 = animelemtime(5)>0



;===========================================================================
;---------------------------------------------------------------------------
;AI L q;   肪 ̗͕ϐ  Ǘ  ̏ꍇ
;---------------------------------------------------------------------------
;---------------------------------------------------------------------------
; e   | [ e [ V    - g  Ȃ  Z ̌     
[State ]
type = ChangeState
value = 1100
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = var(58)=[1000,1001]
trigger1 = enemynear,numproj!=0
trigger1 = InGuardDist
trigger1 = statetype!=A
trigger2 = var(58)=[1000,1001]
trigger2 = P2dist x!=[107,214]
trigger2 = enemynear,stateno=20220
trigger2 = enemynear,movetype=H
trigger3 = enemynear,statetype!=A
trigger3 = var(58)=1010
trigger3 = enemynear,movetype=I
trigger3 = !InGuardDist
trigger4 = enemynear,Numproj!=0
trigger4 = !InGuardDist
trigger5 = var(58)=[220,221]
trigger5 = enemynear,stateno=[120,155]
trigger5 = var(58)=[220,221]
trigger5 = enemynear,numproj!=0
trigger5 = InGuardDist
trigger6 = var(58)=[220,221]
trigger6 = enemynear,statetype=A
trigger6 = ctrl || stateno=101 || stateno=106
trigger6 = !InGuardDist
trigger7 = var(58)=[220,221]
trigger7 = enemynear,statetype=A

; e   L l V X  - g  Ȃ  Z ̌     
[State ]
type = ChangeState
value = 1110
triggerall = var(59)!=0 && roundstate=2  && var(57)=1
triggerall = ctrl || stateno=101 || stateno=106
triggerall = InGuardDist
trigger1 = enemynear,statetype!=A
trigger1 = var(58)=1010
trigger1 = P2dist x!=[107,214]
trigger1 = enemynear,HitDefAttr = SCA,AA,AP,AT
trigger2 = var(58)=310
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0
trigger3 = var(58)=[220,221]
trigger3 = enemynear,movetype=A
trigger4 = var(58)=[220,221]
trigger4 = enemynear,HitDefAttr = SCA,AA,AP,AT
trigger4 = InGuardDist

; e   | [ e [ V    
[State ]
type = ChangeState
value = 1100
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = P2dist x>enemynear,Const(Size.Attack.Dist)
trigger1 = InGuardDist

; T C R E F [ u E  
[State ]
type = ChangeState
value = 1000
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=[1000,1001]
trigger1 = enemynear,statetype=L
trigger1 = p2bodydist x !=[-55,55]
trigger2 = enemynear,numproj!=0
trigger2 = InGuardDist
trigger2 = statetype!=A
trigger3 = P2dist x!=[107,214]
trigger3 = enemynear,stateno=20220
trigger3 = enemynear,movetype=H

; T C R V   b N E  
[State ]
type = ChangeState
value = 1015
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = enemynear,statetype!=A
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=1010
trigger1 = enemynear,movetype=I
trigger1 = !InGuardDist
trigger2 = P2dist x!=[107,214]
trigger2 = enemynear,HitDefAttr = SC,AA,AT
trigger2 = InGuardDist
[State ]
type = ChangeState
value = 1015
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
trigger1 = enemynear,statetype!=A
trigger1 = inguarddist
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = enemynear,statetype!=A
trigger2 = inguarddist
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =311
trigger3 = animelemtime(5)>0
trigger4 = stateno =321
trigger4 = animelemtime(5)>0
trigger5 = stateno =301
trigger5 = animelemtime(6)>0

;   m   X   j       g
[State ]
type = ChangeState
value = 1120
triggerall = numhelper(11120)=0
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=[1120,1121]
trigger1 = enemynear,Numproj!=0
trigger1 = !InGuardDist
trigger2 = enemynear,statetype=L
trigger2 = p2bodydist x =[-55,55]

;---------------------------------------------------------------------------

; T C R V   b N E  
[State ]
type = ChangeState
value = 310
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = P2dist x=[107,214]
triggerall = var(58)!=310
triggerall = PrevStateNo != 310
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0
[State ]
type = ChangeState
value = 310
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = P2dist x=[107,214]
trigger1 = stateno =200
trigger1 = movecontact
trigger1 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact
trigger3 = stateno =221
trigger3 = animelemtime(4)>0
trigger4 = enemynear,stateno=20220
trigger4 = enemynear,movetype=H
trigger4 = ctrl || stateno=101 || stateno=106
trigger5 = enemynear,stateno=20220
trigger5 = enemynear,movetype=H
trigger5 = anim = 1101
trigger5 = animelemtime(6)>0
trigger6 = ctrl
trigger6 = enemynear,movetype=H
trigger6 = enemynear,statetype!=L
trigger6 = enemynear,vel y<3

; T C R L l V X E  
[State ]
type = ChangeState
value = 300
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = P2dist x=[0,107]
triggerall = !Inguarddist
triggerall = PrevStateNo != 300
trigger1 = stateno =221
trigger1 = animelemtime(4)>0

; e   L l V X E  
[State ]
type = ChangeState
value = 320
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = P2dist x=[214,320]
triggerall = !Inguarddist
triggerall = PrevStateNo != 320
trigger1 = stateno =221
trigger1 = animelemtime(4)>0

; T C R E F [ u  
[State ]
type = ChangeState
value = 220
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = enemynear,movetype!=H || enemynear,stateno=[120,155]
triggerall = var(58)!=[220,221]
trigger1 = Prevstateno=300 || Prevstateno=310 || Prevstateno=320 || enemynear,stateno=[120,155]
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = enemynear,numproj!=0
trigger2 = InGuardDist
trigger2 = ctrl || stateno=101 || stateno=106
trigger3 = enemynear,movetype=I
trigger3 = anim = 1101
trigger3 = animelemtime(6)>0
trigger4 = InGuardDist
trigger4 = anim = 1101
trigger4 = animelemtime(6)>0
trigger5 = enemynear,movetype=A
trigger5 = !InGuardDist
trigger5 = ctrl || stateno=101 || stateno=106
trigger6 = enemynear,statetype=A
trigger6 = ctrl || stateno=101 || stateno=106
trigger6 = enemynear,movetype=I
trigger6 = !InGuardDist
trigger7 = enemynear,statetype=A
trigger7 = ctrl || stateno=101 || stateno=106
trigger8 = ctrl || stateno=101 || stateno=106
trigger8 = enemynear,HitDefAttr = A,AA,AP
trigger8 = InGuardDist

; e   L l V X E  
[State ]
type = ChangeState
value = 1110
triggerall = var(59)!=0 && roundstate=2  && var(57)=2
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = enemynear,HitDefAttr = SCA,AA,AT,AP
trigger2 = P2dist x<=enemynear,Const(Size.Attack.Dist)
trigger2 = InGuardDist

;---------------------------------------------------------------------------
;AI L q;    ɓ          Ȃ 
;---------------------------------------------------------------------------

;---------------------------------------------------------------------------
; e   | [ e [ V    
[State ]
type = ChangeState
value = 1100
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = !numtarget
trigger1 = ctrl || stateno=101 || stateno=106
trigger1 = InGuardDist
trigger2 = var(58)!=[1000,1001]
trigger2 = animelemtime(6)>0
trigger2 = stateno =200
trigger2 = movecontact
trigger3 = var(58)!=[1000,1001]
trigger3 = animelemtime(6)>0
trigger3 = stateno =210
trigger3 = movecontact

; T C R E F [ u E  
[State ]
type = ChangeState
value = 1000
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=[1000,1001]
trigger1 = enemynear,statetype=L
trigger2 = P2bodydist x =[70,110]
trigger2 = enemynear,movetype=I
[State ]
type = ChangeState
value = 1000
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = var(58)!=[1000,1001]
triggerall = !numtarget
trigger1 = animelemtime(6)>0
trigger1 = stateno =200
trigger1 = movecontact
trigger2 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact

;   m   X   j       g
[State ]
type = ChangeState
value = 1120
triggerall = numhelper(11120)=0
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = ctrl || stateno=101 || stateno=106
triggerall = var(58)!=[1120,1121]
trigger1 = enemynear,Numproj!=0
trigger1 = InGuardDist
trigger2 = var(58)=[1000,1001]
trigger2 = enemynear,statetype=L

;---------------------------------------------------------------------------

; T C R L l V X E  
[State ]
type = ChangeState
value = 300
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = P2dist x=[0,107]
triggerall = !Inguarddist
triggerall = numtarget
triggerall = enemynear,movetype=H
trigger1 = animelemtime(6)>0
trigger1 = stateno =200
trigger1 = movecontact
trigger2 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact
[State ]
type = ChangeState
value = 300
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = P2dist x=[0,107]
triggerall = !Inguarddist
triggerall = enemynear,movetype=H
trigger1 = anim = 1101
trigger1 = animelemtime(6)>0

; T C R V   b N E  
[State ]
type = ChangeState
value = 1025
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = enemynear,statetype!=A
triggerall = enemynear,movetype=H
triggerall = numtarget
trigger1 = animelemtime(6)>0
trigger1 = stateno =200
trigger1 = movecontact
trigger2 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact
; T C R L l V X E  
[State ]
type = ChangeState
value = 1025
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = enemynear,statetype=A
triggerall = enemynear,movetype=H
trigger1 = animelemtime(6)>0
trigger1 = stateno =200
trigger1 = movecontact
trigger2 = animelemtime(6)>0
trigger2 = stateno =210
trigger2 = movecontact
[State ]
type = ChangeState
value = 1025
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = enemynear,movetype=H
triggerall = enemynear,stateno = 21100
trigger1 = ctrl || stateno=101 || stateno=106

; p   [ n   h
[State ]
type = ChangeState
value = 200
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = P2bodydist x =[-1,10]
triggerall = var(58)!=200
triggerall = enemynear,movetype!=H
triggerall = P2dist y=[-30,0]
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0

; p   [ q b v
[State ]
type = ChangeState
value = 210
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = P2bodydist x = [11,70]
triggerall = var(58)!=210
triggerall = enemynear,movetype!=H
triggerall = P2dist y=[-30,0]
trigger1 = ctrl || stateno=101 || stateno=106
trigger2 = anim = 1101
trigger2 = animelemtime(6)>0

; e   L l V X E  
[State ]
type = ChangeState
value = 1110
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = ctrl || stateno=101 || stateno=106
trigger1 = enemynear,HitDefAttr = SCA,AA,AT,AP
trigger2 = P2dist x>enemynear,Const(Size.Attack.Dist)
trigger2 = InGuardDist

[State ]; _ b V  
type = ChangeState
value = 100
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
trigger1 = !InGuardDist
trigger1 = P2bodydist x >110
trigger1 = ctrl
trigger1 = enemynear,movetype=I

[State ]; _ b V  
type = ChangeState
value = 105
triggerall = var(59)!=0 && roundstate=2  && var(57)=3
triggerall = ctrl
trigger1 = var(58)=200
trigger1 = P2bodydist x =[-1,10]
trigger2 = var(58)=210
trigger2 = P2bodydist x =[11,70]